Package twisted :: Package trial :: Module remote :: Class TrialProcessProtocol

[frames | no frames]

## Class TrialProcessProtocol

           Ephemeral --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                    DecodeReport --+
                                   |
                BaseProtocol --+   |
                               |   |
                 ProcessProtocol --+
                                   |
                                  TrialProcessProtocol

Method Summary
| ``errReceived`(self, data)` Some data was received from stderr.
| ``outReceived`(self, data)` Some data was received from stdout.
Inherited from DecodeReport
| ``__init__`(self, reporter)`
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
Inherited from Canana
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, chunk)`
| ``sendEncoded`(self, obj)`
Inherited from Pynana
| ``_encode`(self, obj, write)`
| ``_selectDialect`(self, dialect)`
| ``callExpressionReceived`(self, obj)`
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| ``gotItem`(self, item)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`
Inherited from ProcessProtocol
| ``childConnectionLost`(self, childFD)`
| ``childDataReceived`(self, childFD, data)`
| ``errConnectionLost`(self)` This will be called when stderr is closed.
| ``inConnectionLost`(self)` This will be called when stdin is closed.
| ``outConnectionLost`(self)` This will be called when stdout is closed.
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from Pynana
`str` | `buffer` = `''`
`dict` | `incomingVocabulary` = `{1: 'None', 2: 'class', 3: 'derefer...`
`str` | `k` = `'lcache'`
`list` | `knownDialects` = `['pb', 'none']`
`dict` | `outgoingVocabulary` = `{'function': 6, 'None': 1, 'diction...`
`int` | `v` = 18
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### errReceived(self, data)

Some data was received from stderr.

  Overrides:
    `twisted.internet.protocol.ProcessProtocol.errReceived` (inherited documentation)

### outReceived(self, data)

Some data was received from stdout.

  Overrides:
    `twisted.internet.protocol.ProcessProtocol.outReceived` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:07:42 2004 | http://epydoc.sf.net